.button {
  outline: none;
  border: none;
  border-radius: 14px;
  color: white;
  font-size: 14px;
  cursor: pointer;

  &:active {
    transform: scale(0.9, 0.9);
  }
}

.rounded-50 {
  border-radius: 50px;
}

.disabled-btn {
  background-color: darkgray !important;
}

.small-btn {
  height: 30px;
  width: 90px;
}

.medium-btn {
  height: 50px;
  min-width: 130px;
}

.primary {
  background-color: $primary-color;
  transition: .5s ease; 

  &:hover {
    background-color: darken($primary-color, $amount: 5);
  }

  &--border {
    transition: .5s ease;
    box-sizing: content-box;

    &:hover {
      background-color: darken($primary-color, $amount: 5);
      color: white;
    }

    background: none;
    color: $font-color;
    border: 2px solid $primary-color;
  }
}

.secondary {
  background-color: $secondary-color;
}

.danger {
  background-color: lighten($error-color, $amount: 10);
  transition: .5s ease;

  &:hover {
    background-color: lighten($error-color, $amount: 20);
  }
}
